Package org.springframework.security.web.webauthn.api

# Class CredentialPropertiesOutput

java.lang.Object
org.springframework.security.web.webauthn.api.CredentialPropertiesOutput

All Implemented Interfaces:
  `Serializable`, `AuthenticationExtensionsClientOutput<CredentialPropertiesOutput.ExtensionOutput>`

public class CredentialPropertiesOutput extends Object implements AuthenticationExtensionsClientOutput<CredentialPropertiesOutput.ExtensionOutput>
CredentialPropertiesOutput is the Client extension output.

Since:
  6.4
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`CredentialPropertiesOutput.ExtensionOutput`
The output for `CredentialPropertiesOutput`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXTENSION_ID`
The extension id.

## Constructor Summary

Constructors
Constructor
Description
`CredentialPropertiesOutput(boolean rk)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtensionId()`
Gets the extension identifier.
`CredentialPropertiesOutput.ExtensionOutput`
`getOutput()`
The client extension output.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXTENSION_ID

public static final String EXTENSION_ID
The extension id.

See Also:
  - Constant Field Values

## Constructor Details

### CredentialPropertiesOutput

public CredentialPropertiesOutput(boolean rk)
Creates a new instance.

Parameters:
  `rk` - is the resident key is discoverable

## Method Details

### getExtensionId

public String getExtensionId()
Description copied from interface: `AuthenticationExtensionsClientOutput`
Gets the extension identifier.

Specified by:
  `getExtensionId` in interface `AuthenticationExtensionsClientOutput<CredentialPropertiesOutput.ExtensionOutput>`
Returns:
  the extension identifier.

### getOutput

public CredentialPropertiesOutput.ExtensionOutput getOutput()
Description copied from interface: `AuthenticationExtensionsClientOutput`
The client extension output.

Specified by:
  `getOutput` in interface `AuthenticationExtensionsClientOutput<CredentialPropertiesOutput.ExtensionOutput>`
Returns:
  the client extension output.